__gnu_pbds::detail::hash_eq_fn< Key, Eq_Fn, _Alloc, false > Struct Template Reference

Inherits Eq_Fn.

## Public Types

typedef Eq_Fn | eq_fn_base
typedef _Alloc::template rebind< Key >::other | key_allocator
typedef key_allocator::const_reference | key_const_reference

## Public Member Functions

| hash_eq_fn (const Eq_Fn &r_eq_fn)
bool | operator() (key_const_reference r_lhs_key, key_const_reference r_rhs_key) const
void | swap (const hash_eq_fn &other)

## Detailed Description

### template<typename Key, typename Eq_Fn, typename _Alloc>
struct __gnu_pbds::detail::hash_eq_fn< Key, Eq_Fn, _Alloc, false >

Specialization 1 - The client requests that hash values not be stored.

Definition at line 58 of file hash_eq_fn.hpp.

The documentation for this struct was generated from the following file:

- hash_eq_fn.hpp